Bug 4162 - Add "Welcome to your role" notices on new registration/enrollment
Add "Welcome to your role" notices on new registration/enrollment
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: User Interface
2.x
PC Mac OS X 10.3
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 12:17 PDT by James MacGregor
Modified: 2013-05-29 15:33 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-03-31 12:17:02 PDT
There should be a welcome notice available to new users on registration or new enrollment on their individual role pages. 

Visibility:
-----------
- Matt's idea, which I like, is to have it be an easily suppressable bit of text at the top of any given role page, with a different background or border. For example, new Journal Managers would see the text on index.php/journal/manager, above the Journal Management header, presumably.

Availability: 
-------------
- Should show up whenever a user first visits their new role. For example, when a user enrolls as a reader or author; or when a new journal is created and the Journal Manager first checks out their Journal Management page. 
- Should appear every time they visit the role page until they dismiss it. 
- Should be easily dismissable, most likely by clicking an 'x' or a close button. 

Notice Text: 
------------
- Should include introductory role text. 
- Should have a list/description of available tasks (ie., Set up your Journal for JMs; Submit an Article for Authors; Create an Issue or Notify Users for Editors)
- Optionally, maybe should also have links to the forum; documentation; the wiki; etc. 

I'm happy to write the appropriate text for each role and supply locale patches; but the AJAX stuff is foreign to me, so help appreciated there. John and/or Kevin, I'd also appreciate a look-over of the notice text when complete (I'll let you know).
Comment 1 Alec Smecher 2009-07-24 14:02:39 PDT
Deferring.
Comment 2 Alec Smecher 2013-05-29 15:33:05 PDT
Superseded by UI/UX changes for 3.0.